<?php
/**
 * This file only contains class autoloader
 *
 * PHP version 7
 *
 * @category WordPress_Theme
 * @package  ThemeCustomization
 *
 * @author  WProDevs <info@wprodevs.com>
 * @license https://www.gnu.org/licenses/gpl-3.0.html GPLv3 or later
 *
 * @link none
 */
/**
 * This method will autoload all the required classes
 *
 * @param string $className Class name passed to the function
 *
 * @return none
 */
function load_classes($className)
{
    $namespaces = explode('\\', $className); // Explode namespace to get class
    $className  = end($namespaces) . '.php';
    $path       = get_stylesheet_directory() . '/includes/classes/' . $className;
    if (in_array('Traits', $namespaces)) {
        $path = get_stylesheet_directory() . '/includes/traits/' . $className;
    }
    if (file_exists($path)) {
        include_once $path;
    }
}

spl_autoload_register('load_classes');