<?php
/**
 * Template for single product page custom tabs
 *
 * PHP version 7
 *
 * @category WordPress_Theme
 * @package  ThemeCustomization
 *
 * @author  WProDevs <info@wprodevs.com>
 * @license https://www.gnu.org/licenses/gpl-3.0.html GPLv3 or later
 *
 * @link none
 */
$titles  = '';
$content = '';
foreach ($tabs as $tab) {
    if (is_callable($tab['content'])) {
        $title       = sprintf('<div class="tabs__controls">%s</div>', $tab['title']);
        $tab_content = '<section class="tabs__section">';
        if (isset($tab['param'])) {
            $callable_res = call_user_func_array($tab['content'], $tab['param']);
        } else {
            $callable_res = call_user_func($tab['content']);
        }
        if (false === $callable_res) {
            continue;
        }
        $tab_content .= $callable_res;
        $tab_content  .= '</section>';
        $titles       .= $title;
        $content      .= $tab_content;
    }
}
?>
<div class="tabs wpro-tabs">
    <div class="tabs__bar">
        <?php echo $titles; ?>
    </div>
    <div class="tabs__content">
        <?php echo $content; ?>
    </div>
</div>
