<?php
/**
 * Template for social share icons
 *
 * PHP version 7
 *
 * @category WordPress_Theme
 * @package  ThemeCustomization
 *
 * @author  WProDevs <info@wprodevs.com>
 * @license https://www.gnu.org/licenses/gpl-3.0.html GPLv3 or later
 *
 * @link none
 */

global $post;
$media_url     = wp_get_attachment_url(get_post_thumbnail_id($post->ID));
$force_display = isset($force_display) ? $force_display : false;
$atts          = isset($atts) ? $atts : false;
?>
<div class="wpro-social-share-container">
    <span><?php _e('Share:', 'Avada'); ?></span>
    <ul class="wpro-social-share">
        <?php
        if ($force_display || (isset($atts['email']) && 'true' == $atts['email'])) {
            printf('<li><a href="mailto:?subject=%1$s&amp;body=%2$s" rel="noopener" title="Share via E-mail"><i class="fa fa-envelope-open"></i><span class="social-platform">E-mail</span></a></li>', urlencode(get_the_title()), urlencode(get_the_permalink()));
        }
        if ($force_display || (wp_is_mobile() && isset($atts['whatsapp']) && 'true' == $atts['whatsapp'])) {
            printf('<li><a href="https://wa.me/?text=%1$s" target="_blank" class="whatsapp-btn" rel="noopener" title="Share via WhatsApp"><i class="fa fa-whatsapp"></i><span class="social-platform">WhatsApp</span></a></li>', urlencode(get_the_permalink()));
        }
        if ($force_display || (isset($atts['facebook']) && 'true' == $atts['facebook'])) {
            ?>
            <li>
                <a href="https://www.facebook.com/sharer.php?u=<?php the_permalink(); ?>&amp;t=<?php the_title(); ?>" class="facebook-btn" target="_blank" rel="noopener" title="Share via Facebook"><i class="fa  fa-facebook-official"></i><span class="social-platform">Facebook</span></a>
            </li>
            <?php
        }
        if ($force_display || (isset($atts['twitter']) && 'true' == $atts['twitter'])) {
            ?>
            <li>
                <a href="https://twitter.com/home?status=<?php the_title(); ?> <?php the_permalink(); ?>" class="twitter-btn" target="_blank" rel="noopener" title="Share via Twitter"><i class="fa fa-twitter-square"></i><span class="social-platform">Twitter</span></a>
            </li>
            <?php
        }
        if ($force_display || (isset($atts['tumblr']) && 'true' == $atts['tumblr'])) {
            ?>
            <li>
                <a href="https://www.tumblr.com/widgets/share/tool?canonicalUrl=<?php the_permalink(); ?>&amp;title=<?php echo urlencode(esc_attr(the_title('', '', false))); ?>" class="tumblr-btn" target="_blank" rel="noopener" title="Share via Tumblr"><i class="fa fa-tumblr-square"></i><span class="social-platform">Tumblr</span></a>
            </li>
            <?php
        }
        if ($force_display || (isset($atts['pinterest']) && 'true' == $atts['pinterest'])) {
            ?>
            <li>
                <a href="https://pinterest.com/pin/create/button/?url=<?php the_permalink(); ?>&amp;media=<?php echo esc_url($media_url); ?>&amp;" target="_blank" class="pinterest-btn" class="share-pinterest" rel="noopener" title="Share via Pinterest"><i class="fa fa-pinterest-square"></i><span class="social-platform">Pinterest</span></a>
            </li>
            <?php
        }
        if ($force_display || (isset($atts['linkedin']) && 'true' == $atts['linkedin'])) {
            ?>
            <li>
                <a href="https://linkedin.com/shareArticle?mini=true&amp;url=<?php the_permalink(); ?>&amp;title=<?php the_title(); ?>" class="linkedin-btn" target="_blank" rel="noopener" title="Share via LinkedIn"><i class="fa fa-linkedin-square"></i><span class="social-platform">LinkedIn</span></a>
            </li>
            <?php
        }
        if ($force_display || (isset($atts['google-plus']) && 'true' == $atts['google-plus'])) {
            ?>
            <li>
                <a href="https://plus.google.com/share?url=<?php the_permalink(); ?>" target="_blank" class="google-plus-btn" rel="noopener" title="Share via Google+"><i class="fa fa-google-plus-official"></i><span class="social-platform">Google+</span></a>
            </li>
            <?php
        }
        ?>
    </ul>
</div>
<?php

wp_reset_postdata();
